Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface RemoteRelationalReference

All Known Subinterfaces:
  Customer, CustomerDelegate, Entity, Order, PaymentTransaction, ShippingMethod

public interface RemoteRelationalReference

Interface for metadata required to persist associations, FOR REMOTE OBJECTS Associations among classes require certain metadata for persistence:

- containingEntity: provides foreign key information to containing entity bean
- classID: identifies a subclass in the database. Used to persist subclasses in a single collection or map

Method Summary
`java.lang.String` | `get__classIdentifier()` Get relation identifier for this object (used to persist subclasses in a single collection or map)
`Belonging` | `get__containingBelonging()` Get foreign key information about the bean that contains this object
`javax.ejb.EJBObject` | `get__containingEntity()` Get foreign key information about the bean that contains this object
`java.lang.Object` | `get__mapKey()` get map key
`java.lang.Long` | `get__sequenceNumber()` Get the sequencer number
`void` | `set__containingBelonging(Belonging belonging)` Provides foreign key information about the bean that contains this object
`void` | `set__containingEntity(javax.ejb.EJBObject containingEntity)` Provides foreign key information about the bean that contains this object
`void` | `set__mapKey(java.lang.Object mapKey)` Provides map key information

Method Detail

### set__mapKey

    public void set__mapKey(java.lang.Object mapKey)
                     throws java.rmi.RemoteException

  Provides map key information

  Parameters:
    `mapKey` - the key if this object is used in a map

### get__mapKey

    public java.lang.Object get__mapKey()
                                 throws java.rmi.RemoteException

  get map key

  Returns:
    the mak key
  Throws:
    java.lang.ClassCastException - source object is not an instance of the remote interface of the containing class.

### set__containingEntity

    public void set__containingEntity(javax.ejb.EJBObject containingEntity)
                               throws java.rmi.RemoteException

  Provides foreign key information about the bean that contains this object

  Parameters:
    `ejbObject` - remote interface of the containing bean

### get__containingEntity

    public javax.ejb.EJBObject get__containingEntity()
                                              throws java.rmi.RemoteException

  Get foreign key information about the bean that contains this object

  Returns:
    ejbObject remote interface of the containing bean
  Throws:
    java.lang.ClassCastException - source object is not an instance of the remote interface of the containing class.

### set__containingBelonging

    public void set__containingBelonging(Belonging belonging)
                                  throws java.rmi.RemoteException

  Provides foreign key information about the bean that contains this object

  Parameters:
    `ejbObject` - remote interface of the containing bean

### get__containingBelonging

    public Belonging get__containingBelonging()
                                       throws java.rmi.RemoteException

  Get foreign key information about the bean that contains this object

  Returns:
    ejbObject remote interface of the containing bean
  Throws:
    java.lang.ClassCastException - source object is not an instance of the remote interface of the containing class.

### get__classIdentifier

    public java.lang.String get__classIdentifier()
                                          throws java.rmi.RemoteException

  Get relation identifier for this object (used to persist subclasses in a single collection or map)

  Returns:
    class identifier for this object.

### get__sequenceNumber

    public java.lang.Long get__sequenceNumber()
                                       throws java.rmi.RemoteException

  Get the sequencer number

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved